import * as core from "@terrascript/core";

export interface WebAclAssociationArgs extends core.ResourceArgs {
  resourceArn: string | core.StringOut;

  webAclId: string | core.StringOut;
}

export class WebAclAssociation extends core.Resource<WebAclAssociationArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public resourceArn!: string | core.StringOut;

  @core.attr(String)
  public webAclId!: string | core.StringOut;

  constructor(name: string, args?: WebAclAssociationArgs) {
    super(name, "aws_wafregional_web_acl_association", args);
  }

  public override getNamespace(): string {
    return "aws_wafregional";
  }
}
